Index: src/sas/sascalc/calculator/kiessig_calculator.py
===================================================================
--- src/sas/sascalc/calculator/kiessig_calculator.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/calculator/kiessig_calculator.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -49,5 +49,5 @@
             return None
         # check if delta_q is zero
-        if dq == 0.0 or dq == None:
+        if dq == 0.0 or dq is None:
             return None
         else:
Index: src/sas/sascalc/calculator/resolution_calculator.py
===================================================================
--- src/sas/sascalc/calculator/resolution_calculator.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/calculator/resolution_calculator.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -15,4 +15,6 @@
 import sys
 import logging
+
+logger = logging.getLogger(__name__)
 
 #Plank's constant in cgs unit
@@ -606,5 +608,5 @@
         a_value *= 1.0E-16
         # if lamda is give (broad meanning of A)  return 2* lamda^2 * A
-        if lamda != None:
+        if lamda is not None:
             a_value *= (4 * lamda * lamda)
         return a_value
@@ -1006,5 +1008,5 @@
             detector_offset = self.sample2detector_distance[1]
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
 
         # detector size in [no of pix_x,no of pix_y]
@@ -1093,5 +1095,5 @@
             output.qy_data = qy_value
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
 
         return output
Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -12,4 +12,6 @@
 import sys
 import logging
+
+logger = logging.getLogger(__name__)
 
 MFACTOR_AM = 2.853E-12
@@ -95,5 +97,5 @@
         :Param volume: pixel volume [float]
         """
-        if self.data_vol == None:
+        if self.data_vol is None:
             raise
         self.data_vol = volume
@@ -117,5 +119,5 @@
         pos_z = self.data_z
         len_x = len(pos_x)
-        if self.is_avg == None:
+        if self.is_avg is None:
             len_x *= -1
             pos_x, pos_y, pos_z = transform_center(pos_x, pos_y, pos_z)
@@ -255,9 +257,9 @@
         self.sld_n = np.zeros(length)
 
-        if omfdata.mx == None:
+        if omfdata.mx is None:
             self.mx = np.zeros(length)
-        if omfdata.my == None:
+        if omfdata.my is None:
             self.my = np.zeros(length)
-        if omfdata.mz == None:
+        if omfdata.mz is None:
             self.mz = np.zeros(length)
 
@@ -285,5 +287,5 @@
                 mask = (x_dir2 + y_dir2 + z_dir2) <= 1.0
             except:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
         self.output = MagSLD(self.pos_x[mask], self.pos_y[mask],
                              self.pos_z[mask], self.sld_n[mask],
@@ -394,5 +396,5 @@
                 except:
                     # Skip non-data lines
-                    logging.error(sys.exc_value)
+                    logger.error(sys.exc_value)
                 #Reading Header; Segment count ignored
                 s_line = line.split(":", 1)
@@ -589,5 +591,5 @@
                         z_lines.append(z_line)
                 except:
-                    logging.error(sys.exc_value)
+                    logger.error(sys.exc_value)
 
             output = MagSLD(pos_x, pos_y, pos_z, sld_n, sld_mx, sld_my, sld_mz)
@@ -683,5 +685,5 @@
                     except:
                         # Skip non-data lines
-                        logging.error(sys.exc_value)
+                        logger.error(sys.exc_value)
             output = MagSLD(pos_x, pos_y, pos_z, sld_n,
                             sld_mx, sld_my, sld_mz)
@@ -689,5 +691,5 @@
             output.set_pix_type('pixel')
             output.set_pixel_symbols('pixel')
-            if vol_pix != None:
+            if vol_pix is not None:
                 output.set_pixel_volumes(vol_pix)
             return output
@@ -701,7 +703,7 @@
         :Param data: MagSLD data object
         """
-        if path == None:
+        if path is None:
             raise ValueError, "Missing the file path."
-        if data == None:
+        if data is None:
             raise ValueError, "Missing the data to save."
         x_val = data.pos_x
@@ -711,8 +713,8 @@
         length = len(x_val)
         sld_n = data.sld_n
-        if sld_n == None:
+        if sld_n is None:
             sld_n = np.zeros(length)
         sld_mx = data.sld_mx
-        if sld_mx == None:
+        if sld_mx is None:
             sld_mx = np.zeros(length)
             sld_my = np.zeros(length)
@@ -865,5 +867,5 @@
         self.sld_theta = None
         self.pix_symbol = None
-        if sld_mx != None and sld_my != None and sld_mz != None:
+        if sld_mx is not None and sld_my is not None and sld_mz is not None:
             self.set_sldms(sld_mx, sld_my, sld_mz)
         self.set_nodes()
@@ -933,5 +935,5 @@
         :Params pixel: str; pixel or atomic symbol, or array of strings
         """
-        if self.sld_n == None:
+        if self.sld_n is None:
             return
         if symbol.__class__.__name__ == 'str':
@@ -945,5 +947,5 @@
         :Params pixel: str; pixel or atomic symbol, or array of strings
         """
-        if self.sld_n == None:
+        if self.sld_n is None:
             return
         if vol.__class__.__name__ == 'ndarray':
Index: src/sas/sascalc/data_util/calcthread.py
===================================================================
--- src/sas/sascalc/data_util/calcthread.py	(revision 934ce6493af6e904cf20f2500ef522b42192adfd)
+++ src/sas/sascalc/data_util/calcthread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -8,4 +8,5 @@
 import traceback
 import sys
+import logging
 
 if sys.platform.count("darwin") > 0:
@@ -21,4 +22,6 @@
     from time import clock
     from time import sleep
+
+logger = logging.getLogger(__name__)
 
 
@@ -202,5 +205,5 @@
     def update(self, **kwargs):
         """Update GUI with the lastest results from the current work unit."""
-        if self.updatefn != None and clock() > self._time_for_update:
+        if self.updatefn is not None and clock() > self._time_for_update:
             self._lock.acquire()
             self._time_for_update = clock() + self._delay
@@ -218,5 +221,5 @@
     def complete(self, **kwargs):
         """Update the GUI with the completed results from a work unit."""
-        if self.completefn != None:
+        if self.completefn is not None:
             self.completefn(**kwargs)
             sleep(self.yieldtime)
@@ -243,6 +246,5 @@
             except Exception:
                 pass
-        import logging
-        logging.error(traceback.format_exc())
+        logger.error(traceback.format_exc())
         #print 'CalcThread exception',
 
Index: src/sas/sascalc/data_util/qsmearing.py
===================================================================
--- src/sas/sascalc/data_util/qsmearing.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/data_util/qsmearing.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -42,7 +42,7 @@
     # This checks for 2D data (does not throw exception because fail is common)
     if  data.__class__.__name__ not in ['Data1D', 'Theory1D']:
-        if data == None:
+        if data is None:
             return None
-        elif data.dqx_data == None or data.dqy_data == None:
+        elif data.dqx_data is None or data.dqy_data is None:
             return None
         return PySmear2D(data)
Index: src/sas/sascalc/dataloader/data_info.py
===================================================================
--- src/sas/sascalc/dataloader/data_info.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/dataloader/data_info.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -353,5 +353,6 @@
     details = None
     ## SESANS zacceptance
-    zacceptance = None
+    zacceptance = (0,"")
+    yacceptance = (0,"")
 
     def __init__(self):
@@ -805,10 +806,10 @@
             # create zero vector
             dy_other = other.dy
-            if other.dy == None or (len(other.dy) != len(other.y)):
+            if other.dy is None or (len(other.dy) != len(other.y)):
                 dy_other = np.zeros(len(other.y))
 
         # Check that we have errors, otherwise create zero vector
         dy = self.dy
-        if self.dy == None or (len(self.dy) != len(self.y)):
+        if self.dy is None or (len(self.dy) != len(self.y)):
             dy = np.zeros(len(self.y))
 
@@ -821,9 +822,9 @@
         dy, dy_other = self._validity_check(other)
         result = self.clone_without_data(len(self.x))
-        if self.dxw == None:
+        if self.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x))
-        if self.dxl == None:
+        if self.dxl is None:
             result.dxl = None
         else:
@@ -883,17 +884,17 @@
         self._validity_check_union(other)
         result = self.clone_without_data(len(self.x) + len(other.x))
-        if self.dy == None or other.dy is None:
+        if self.dy is None or other.dy is None:
             result.dy = None
         else:
             result.dy = np.zeros(len(self.x) + len(other.x))
-        if self.dx == None or other.dx is None:
+        if self.dx is None or other.dx is None:
             result.dx = None
         else:
             result.dx = np.zeros(len(self.x) + len(other.x))
-        if self.dxw == None or other.dxw is None:
+        if self.dxw is None or other.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x) + len(other.x))
-        if self.dxl == None or other.dxl is None:
+        if self.dxl is None or other.dxl is None:
             result.dxl = None
         else:
@@ -906,5 +907,5 @@
         result.y = np.append(self.y, other.y)
         result.y = result.y[ind]
-        if result.dy != None:
+        if result.dy is not None:
             result.dy = np.append(self.dy, other.dy)
             result.dy = result.dy[ind]
@@ -1029,5 +1030,5 @@
             # Check that the scales match
             err_other = other.err_data
-            if other.err_data == None or \
+            if other.err_data is None or \
                 (len(other.err_data) != len(other.data)):
                 err_other = np.zeros(len(other.data))
@@ -1035,5 +1036,5 @@
         # Check that we have errors, otherwise create zero vector
         err = self.err_data
-        if self.err_data == None or \
+        if self.err_data is None or \
             (len(self.err_data) != len(self.data)):
             err = np.zeros(len(other.data))
@@ -1050,5 +1051,5 @@
         dy, dy_other = self._validity_check(other)
         result = self.clone_without_data(np.size(self.data))
-        if self.dqx_data == None or self.dqy_data == None:
+        if self.dqx_data is None or self.dqy_data is None:
             result.dqx_data = None
             result.dqy_data = None
@@ -1124,6 +1125,6 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None or \
-                other.dqx_data == None or other.dqy_data == None:
+        if self.dqx_data is None or self.dqy_data is None or \
+                other.dqx_data is None or other.dqy_data is None:
             result.dqx_data = None
             result.dqy_data = None
Index: src/sas/sascalc/dataloader/loader.py
===================================================================
--- src/sas/sascalc/dataloader/loader.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/dataloader/loader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -32,4 +32,6 @@
 from readers import cansas_reader
 
+logger = logging.getLogger(__name__)
+
 class Registry(ExtensionRegistry):
     """
@@ -99,5 +101,5 @@
             msg = "DataLoader couldn't locate DataLoader plugin folder."
             msg += """ "%s" does not exist""" % dir
-            logging.warning(msg)
+            logger.warning(msg)
             return readers_found
 
@@ -117,5 +119,5 @@
                         msg = "Loader: Error importing "
                         msg += "%s\n  %s" % (item, sys.exc_value)
-                        logging.error(msg)
+                        logger.error(msg)
 
                 # Process zip files
@@ -139,10 +141,10 @@
                                 msg = "Loader: Error importing"
                                 msg += " %s\n  %s" % (mfile, sys.exc_value)
-                                logging.error(msg)
+                                logger.error(msg)
 
                     except:
                         msg = "Loader: Error importing "
                         msg += " %s\n  %s" % (item, sys.exc_value)
-                        logging.error(msg)
+                        logger.error(msg)
 
         return readers_found
@@ -190,5 +192,5 @@
                 msg = "Loader: Error accessing"
                 msg += " Reader in %s\n  %s" % (module.__name__, sys.exc_value)
-                logging.error(msg)
+                logger.error(msg)
         return reader_found
 
@@ -223,5 +225,5 @@
             msg = "Loader: Error accessing Reader "
             msg += "in %s\n  %s" % (loader.__name__, sys.exc_value)
-            logging.error(msg)
+            logger.error(msg)
         return reader_found
 
@@ -268,5 +270,5 @@
                 msg = "Loader: Error accessing Reader"
                 msg += " in %s\n  %s" % (module.__name__, sys.exc_value)
-                logging.error(msg)
+                logger.error(msg)
         return reader_found
 
Index: src/sas/sascalc/dataloader/manipulations.py
===================================================================
--- src/sas/sascalc/dataloader/manipulations.py	(revision dd11014add466ed4ba0564fcf61e5880d53e6c8b)
+++ src/sas/sascalc/dataloader/manipulations.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -210,5 +210,5 @@
             y[i_q] += frac * data[npts]
 
-            if err_data == None or err_data[npts] == 0.0:
+            if err_data is None or err_data[npts] == 0.0:
                 if data[npts] < 0:
                     data[npts] = -data[npts]
@@ -333,5 +333,5 @@
                 continue
             y += frac * data[npts]
-            if err_data == None or err_data[npts] == 0.0:
+            if err_data is None or err_data[npts] == 0.0:
                 if data[npts] < 0:
                     data[npts] = -data[npts]
@@ -422,5 +422,5 @@
 
         # Get the dq for resolution averaging
-        if data2D.dqx_data != None and data2D.dqy_data != None:
+        if data2D.dqx_data is not None and data2D.dqy_data is not None:
             # The pinholes and det. pix contribution present
             # in both direction of the 2D which must be subtracted when
@@ -462,5 +462,5 @@
 
         #q_data_max = numpy.max(q_data)
-        if len(data2D.q_data) == None:
+        if len(data2D.q_data) is None:
             msg = "Circular averaging: invalid q_data: %g" % data2D.q_data
             raise RuntimeError, msg
@@ -502,5 +502,5 @@
             # Take dqs from data to get the q_average
             x[i_q] += frac * q_value
-            if err_data == None or err_data[npt] == 0.0:
+            if err_data is None or err_data[npt] == 0.0:
                 if data_n < 0:
                     data_n = -data_n
@@ -508,5 +508,5 @@
             else:
                 err_y[i_q] += frac * frac * err_data[npt] * err_data[npt]
-            if dq_data != None:
+            if dq_data is not None:
                 # To be consistent with dq calculation in 1d reduction,
                 # we need just the averages (not quadratures) because
@@ -523,5 +523,5 @@
                 err_y[n] = -err_y[n]
             err_y[n] = math.sqrt(err_y[n])
-            #if err_x != None:
+            #if err_x is not None:
             #    err_x[n] = math.sqrt(err_x[n])
 
@@ -532,5 +532,5 @@
         idx = (numpy.isfinite(y)) & (numpy.isfinite(x))
 
-        if err_x != None:
+        if err_x is not None:
             d_x = err_x[idx] / y_counts[idx]
         else:
@@ -623,5 +623,5 @@
             phi_bins[i_phi] += frac * data[npt]
 
-            if err_data == None or err_data[npt] == 0.0:
+            if err_data is None or err_data[npt] == 0.0:
                 if data_n < 0:
                     data_n = -data_n
@@ -777,5 +777,5 @@
 
         # Get the dq for resolution averaging
-        if data2D.dqx_data != None and data2D.dqy_data != None:
+        if data2D.dqx_data is not None and data2D.dqy_data is not None:
             # The pinholes and det. pix contribution present
             # in both direction of the 2D which must be subtracted when
@@ -888,5 +888,5 @@
             y[i_bin] += frac * data_n
             x[i_bin] += frac * q_value
-            if err_data[n] == None or err_data[n] == 0.0:
+            if err_data[n] is None or err_data[n] == 0.0:
                 if data_n < 0:
                     data_n = -data_n
@@ -895,5 +895,5 @@
                 y_err[i_bin] += frac * frac * err_data[n] * err_data[n]
 
-            if dq_data != None:
+            if dq_data is not None:
                 # To be consistent with dq calculation in 1d reduction,
                 # we need just the averages (not quadratures) because
@@ -925,5 +925,5 @@
         y_err[y_err == 0] = numpy.average(y_err)
         idx = (numpy.isfinite(y) & numpy.isfinite(y_err))
-        if x_err != None:
+        if x_err is not None:
             d_x = x_err[idx] / y_counts[idx]
         else:
Index: src/sas/sascalc/dataloader/readers/ascii_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -128,10 +128,10 @@
                         if new_lentoks > 2:
                             _dy = float(toks[2])
-                        has_error_dy = False if _dy == None else True
+                        has_error_dy = False if _dy is None else True
 
                         # If a 4th row is present, consider it dx
                         if new_lentoks > 3:
                             _dx = float(toks[3])
-                        has_error_dx = False if _dx == None else True
+                        has_error_dx = False if _dx is None else True
 
                         # Delete the previously stored lines of data candidates if
Index: src/sas/sascalc/dataloader/readers/associations.py
===================================================================
--- src/sas/sascalc/dataloader/readers/associations.py	(revision e5c09cfdceff8c0c11f340ea2e16c5ebfed5a2a9)
+++ src/sas/sascalc/dataloader/readers/associations.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -18,4 +18,6 @@
 import logging
 import json
+
+logger = logging.getLogger(__name__)
 
 FILE_NAME = 'defaults.json'
@@ -67,5 +69,5 @@
                     msg = "read_associations: skipping association"
                     msg += " for %s\n  %s" % (ext.lower(), sys.exc_value)
-                    logging.error(msg)
+                    logger.error(msg)
     else:
         print "Could not find reader association settings\n  %s [%s]" % (__file__, os.getcwd())
@@ -81,5 +83,5 @@
     :param registry_function: function to be called to register each reader
     """
-    logging.info("register_readers is now obsolete: use read_associations()")
+    logger.info("register_readers is now obsolete: use read_associations()")
     import abs_reader
     import ascii_reader
Index: src/sas/sascalc/dataloader/readers/cansas_constants.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_constants.py	(revision ad4632c3bee7cc6b6d8987a3088e925b98cf41ab)
+++ src/sas/sascalc/dataloader/readers/cansas_constants.py	(revision 63d773c420797b9a40dbfc28b1e602df82410cae)
@@ -135,4 +135,5 @@
                              "Sesans": {"storeas": "content"},
                              "zacceptance": {"storeas": "float"},
+                             "yacceptance": {"storeas": "float"},
                              "<any>" : ANY
                             }
Index: src/sas/sascalc/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 1b9a36780bc504c40e0517882815efd590ef4c0d)
+++ src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 1b9a36780bc504c40e0517882815efd590ef4c0d)
@@ -33,4 +33,6 @@
 import xml.dom.minidom
 from xml.dom.minidom import parseString
+
+logger = logging.getLogger(__name__)
 
 PREPROCESS = "xmlpreprocess"
@@ -990,5 +992,5 @@
         :param data1d: presumably a Data1D object
         """
-        if self.current_dataset == None:
+        if self.current_dataset is None:
             x_vals = np.empty(0)
             y_vals = np.empty(0)
@@ -1078,5 +1080,5 @@
         # Write the file
         file_ref = open(filename, 'w')
-        if self.encoding == None:
+        if self.encoding is None:
             self.encoding = "UTF-8"
         doc.write(file_ref, encoding=self.encoding,
@@ -1201,5 +1203,5 @@
         :param entry_node: lxml node ElementTree object to be appended to
         """
-        if datainfo.run == None or datainfo.run == []:
+        if datainfo.run is None or datainfo.run == []:
             datainfo.run.append(RUN_NAME_DEFAULT)
             datainfo.run_name[RUN_NAME_DEFAULT] = RUN_NAME_DEFAULT
@@ -1245,4 +1247,6 @@
             sesans.text = str(datainfo.isSesans)
             node.append(sesans)
+            self.write_node(node, "yacceptance", datainfo.sample.yacceptance[0],
+                             {'unit': datainfo.sample.yacceptance[1]})
             self.write_node(node, "zacceptance", datainfo.sample.zacceptance[0],
                              {'unit': datainfo.sample.zacceptance[1]})
@@ -1317,5 +1321,5 @@
                 self.write_node(point, "T", spectrum.transmission[i],
                                 {'unit': spectrum.transmission_unit})
-                if spectrum.transmission_deviation != None \
+                if spectrum.transmission_deviation is not None \
                 and len(spectrum.transmission_deviation) >= i:
                     self.write_node(point, "Tdev",
@@ -1397,5 +1401,5 @@
                                  str(datainfo.source.name))
         self.append(source, instr)
-        if datainfo.source.radiation == None or datainfo.source.radiation == '':
+        if datainfo.source.radiation is None or datainfo.source.radiation == '':
             datainfo.source.radiation = "neutron"
         self.write_node(source, "radiation", datainfo.source.radiation)
@@ -1438,5 +1442,5 @@
         :param instr: lxml node ElementTree object to be appended to
         """
-        if datainfo.collimation == [] or datainfo.collimation == None:
+        if datainfo.collimation == [] or datainfo.collimation is None:
             coll = Collimation()
             datainfo.collimation.append(coll)
@@ -1483,5 +1487,5 @@
         :param inst: lxml instrument node to be appended to
         """
-        if datainfo.detector == None or datainfo.detector == []:
+        if datainfo.detector is None or datainfo.detector == []:
             det = Detector()
             det.name = ""
@@ -1659,5 +1663,5 @@
                 local_unit = None
                 exec "local_unit = storage.%s_unit" % toks[0]
-                if local_unit != None and units.lower() != local_unit.lower():
+                if local_unit is not None and units.lower() != local_unit.lower():
                     if HAS_CONVERTER == True:
                         try:
@@ -1672,5 +1676,5 @@
                             self.errors.add(err_mess)
                             if optional:
-                                logging.info(err_mess)
+                                logger.info(err_mess)
                             else:
                                 raise ValueError, err_mess
@@ -1681,5 +1685,5 @@
                         self.errors.add(err_mess)
                         if optional:
-                            logging.info(err_mess)
+                            logger.info(err_mess)
                         else:
                             raise ValueError, err_mess
